# TFA SMSAPI

## Content of this file

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Supporting organization


## Introduction
This module allows users to set up a two-factor authentication using SMSAPI.
After setting up this plugin, users will be able to configure this authentication
method to recieve an SMS on their mobile device with a code that will be used to login.


## Requirements

This module requires the following modules:

- [smsapi](https://www.drupal.org/project/smsapi)
- [tfa version >= 1.5](https://www.drupal.org/project/tfa)

## Installation

Install the tfa_smsapi module as you would normally install a contributed Drupal module.


## Configuration

After you are done with installing and configuring the required modules, install this module
and go to */admin/config/people/tfa*

Next, enable the **TFA SMSAPI verification** plugin under *Allowed Validation plugins*
You can also set it as the default validation plugin if you want.

Further down below in the configuration you can also configure the default sender
name of the SMS, and how many retries user has after entering a wrong code before
he will be blocked.

After you are done save the configuration. All the users will have 3 tries to setup one of
the selected validation methods.

You can set up all the validation methods in your profile, under the **TFA** tab.

To set up this verification method, click *Set up application* under the
**SMS API verification code** validation plugin.

## Supporting organization:

 * Smartbees - https://www.drupal.org/smartbees
